# Uses of Class
org.apache.lucene.sandbox.search.PhraseWildcardQuery

Packages that use PhraseWildcardQuery
Package
Description
org.apache.lucene.sandbox.search
This package contains a flexible graph-based proximity query, TermAutomatonQuery, and geospatial queries.

- ## Uses of PhraseWildcardQuery in org.apache.lucene.sandbox.search

  Methods in org.apache.lucene.sandbox.search that return PhraseWildcardQuery
  Modifier and Type
  Method
  Description
  `PhraseWildcardQuery`
  PhraseWildcardQuery.Builder.`build()`
  Builds a `PhraseWildcardQuery`.
  Methods in org.apache.lucene.sandbox.search with parameters of type PhraseWildcardQuery
  Modifier and Type
  Method
  Description
  `protected int`
  PhraseWildcardQuery.MultiTerm.`collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, int remainingMultiTerms, int maxExpansionsForTerm, PhraseWildcardQuery.TermsData termsData)`
  `protected abstract int`
  PhraseWildcardQuery.PhraseTerm.`collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, int remainingMultiTerms, int maxExpansionsForTerm, PhraseWildcardQuery.TermsData termsData)`
  Collects `TermState` and `TermStatistics` for the term (potentially expanded).
  `protected int`
  PhraseWildcardQuery.PhraseTerm.`collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, PhraseWildcardQuery.TermsData termsData)`
  Collects `TermState` and `TermStatistics` for the term without expansion.
  `protected int`
  PhraseWildcardQuery.SingleTerm.`collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, int remainingMultiTerms, int maxExpansionsForTerm, PhraseWildcardQuery.TermsData termsData)`
  `protected int`
  PhraseWildcardQuery.SingleTerm.`collectTermData(PhraseWildcardQuery query, IndexSearcher searcher, List<LeafReaderContext> segments, PhraseWildcardQuery.TermsData termsData)`